Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0045616
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Localization Pack: Spain] SIImajoralways2020-12-17 10:102021-01-14 10:37
ReporterpsanjuanView Statuspublic 
Assigned Tojuabaez 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSLinux 64 bitDatabasePostgreSQLJava version7.x
OS VersionOpenbravo Appliance 14.04Database version9.3.xAnt version1.9.x
Product VersionSCM revision 
Regression date
Regression introduced by commit
Regression level
Review Assigned To
Regression introduced in release
Summary

0045616: Error - operaciones IGIC no se pueden enviar a SII

DescriptionError - operaciones IGIC no se pueden enviar a SII
Steps To ReproduceCrear una factura de compra a un proveedor Canario.
En las lineas de la factura, crear dos registros uno con el tax "Adquisiciones IGIC 9,5%, por ejemplo y otra línea con el tax "Prestación Servicios en Canarias 9,5%".
Incluir la descripción de SII y la referencia de factura del proveedor.
Completar la factura
Enviar al SII.

Se muestra el siguiente error. Ver imagenes adjuntas.
TagsNo tags attached.
Attached Filesjpg file icon error_45616.jpg [^] (76,359 bytes) 2020-12-17 10:11


xml file icon 10000064_Envio1610462124607.xml [^] (1,648 bytes) 2021-01-12 15:39

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0124894)
psanjuan (manager)
2020-12-17 10:16
edited on: 2020-12-17 10:18

Por favor comprobar si el XML que se genera incluye además la cuota y el impuesto. No debería ser asi, sólo se debería incluir la Base Imponible para operaciones de tipo 08 Operacion sujeta a IPSI/IGIC.

Además el campo o tag del XML IVA Deducible tiene que ser cero.

(0125061)
hgbot (developer)
2020-12-23 12:40

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.module.sii/-/merge_requests/8 [^]
(0125064)
juabaez (developer)
2020-12-23 13:26

Test plan:

- Log in environment with SII
- Create a purchase invoice in Spain organization
- The partner addres for example should be Canary Islands
- Insert a line with any product and tax Prestación servicios en Canarias 9.5%
- Insert a second line with any product and tax Adquisiciones IGIC 9.5%
- Send to SII
- See in the XML when tag ClaveRegimenEspecialOTrascendencia is 08 then tags TipoImpositivo and CuotaSoportada should be without amounts and empty.
- Also See in the XML tag CuotaDeducible should be zero
(0125098)
hgbot (developer)
2020-12-28 08:08

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.module.sii [^]
Changeset: fc8aa98b9b0c0238ebba1fb9ad437b5878568184
Author: Juan Baez <juan.baez@smfconsulting.es>
Date: 2020-12-28T07:08:27+00:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.module.sii/-/commit/fc8aa98b9b0c0238ebba1fb9ad437b5878568184 [^]

Fix ISSUE-45616 Remove amounts in XML tags

The tags without amount are TipoImpositivo y CuotaSoportada for tax rate IPSI/IGIC and tag CuotaDeducible is zero.

Create a new method to search the tag in xml generated previously. The new parameter is type of SOAPElement and calculate the value from the xml inside method createDetalleIVA, so the method has the full object with all the available information, that might be necessary in the future

---
M src/org/openbravo/module/sii/utils/SIISOAPUtils.java
---
(0125099)
hgbot (developer)
2020-12-28 08:08

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.module.sii/-/merge_requests/8 [^]
(0125387)
psanjuan (manager)
2021-01-12 13:34
edited on: 2021-01-12 13:36

Reabro el issue ya que la resolución no es correcta.
Los tags de abajo no deben aparecer en el XML
<sii:TipoImpositivo>0.00</sii:TipoImpositivo>
<sii:CuotaSoportada>0.00</sii:CuotaSoportada>

solo:
<sii:BaseImponible>205.90</sii:BaseImponible>

<sii:CuotaDeducible>0.00</sii:CuotaDeducible>

Por favor, indicar un test plan completo, junto con los ficheros XML correspondientes.

(0125396)
Jorge Bravo (developer)
2021-01-12 15:42
edited on: 2021-01-14 10:37

Test plan:
1º Crear factura de una organización con dirección peninsula y un proveedor con dirección Canarias.
2º Registrar 2 líneas con productos cuyos rangos de impuestos son de IGIC
3º Dar de alta SII
4º Comprobar y revisar envio fichero xml (ver fichero adjunto)

(0125454)
psanjuan (manager)
2021-01-14 10:37

Cierro issue ya que no se puede reproducir.

- Issue History
Date Modified Username Field Change
2020-12-17 10:10 psanjuan New Issue
2020-12-17 10:10 psanjuan Assigned To => Jorge Bravo
2020-12-17 10:11 psanjuan File Added: error_45616.jpg
2020-12-17 10:16 psanjuan Note Added: 0124894
2020-12-17 10:18 psanjuan Note Edited: 0124894 View Revisions
2020-12-18 12:57 Jorge Bravo Assigned To Jorge Bravo => juabaez
2020-12-23 12:40 hgbot Note Added: 0125061
2020-12-23 13:26 juabaez Note Added: 0125064
2020-12-23 13:26 juabaez Status new => scheduled
2020-12-28 08:08 hgbot Note Added: 0125098
2020-12-28 08:08 hgbot Note Added: 0125099
2020-12-28 12:15 vmromanos Status scheduled => resolved
2020-12-28 12:15 vmromanos Resolution open => fixed
2020-12-28 12:15 vmromanos Status resolved => closed
2021-01-12 12:52 Alberto_Sola Issue Monitored: Alberto_Sola
2021-01-12 13:34 psanjuan Note Added: 0125387
2021-01-12 13:34 psanjuan Status closed => new
2021-01-12 13:35 psanjuan Note Edited: 0125387 View Revisions
2021-01-12 13:36 psanjuan Note Edited: 0125387 View Revisions
2021-01-12 15:39 Jorge Bravo File Added: 10000064_Envio1610462124607.xml
2021-01-12 15:42 Jorge Bravo Note Added: 0125396
2021-01-14 10:37 psanjuan Note Edited: 0125396 View Revisions
2021-01-14 10:37 psanjuan Note Added: 0125454
2021-01-14 10:37 psanjuan Status new => scheduled
2021-01-14 10:37 psanjuan Status scheduled => resolved
2021-01-14 10:37 psanjuan Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker